summaryrefslogtreecommitdiffhomepage
path: root/applications/luci-app-splash/root/etc/hotplug.d
diff options
context:
space:
mode:
Diffstat (limited to 'applications/luci-app-splash/root/etc/hotplug.d')
-rw-r--r--applications/luci-app-splash/root/etc/hotplug.d/iface/25-splash17
1 files changed, 17 insertions, 0 deletions
diff --git a/applications/luci-app-splash/root/etc/hotplug.d/iface/25-splash b/applications/luci-app-splash/root/etc/hotplug.d/iface/25-splash
new file mode 100644
index 0000000000..045e908c72
--- /dev/null
+++ b/applications/luci-app-splash/root/etc/hotplug.d/iface/25-splash
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+[ "$ACTION" = ifup ] || exit 0
+
+/etc/init.d/firewall enabled || exit 0
+
+if [ -x /etc/init.d/luci_splash ]; then
+ restart_splash() {
+ local net="$1"
+ if [ "$INTERFACE" = "$net" ]; then
+ logger -t splash "Reloading splash firewall rules due to ifup of $INTERFACE ($DEVICE)"
+ /etc/init.d/luci_splash restart
+ fi
+ }
+ config_load luci_splash
+ config_foreach restart_splash iface
+fi